<template>
<div class="nav-plugin" ref="nav" v-if="!is3DView()">
    <b-button  variant="outline-dark" class="white"
    v-if="showZoomButton"
    title="Zoom Avant" @click="onClickZoomIn()">
    <b-icon icon="zoom-in"/>
  </b-button>
  &nbsp;
  <b-button  variant="outline-dark" class="white"
    v-if="showZoomButton"
    title="Zoom Arrière" @click="onClickZoomOut()">
    <b-icon icon="zoom-out"/>
  </b-button>
 &nbsp;
  <b-button  variant="outline-dark" class="white"
    v-if="showZoomToExtentButton"
    title="Revenir à la Vue Globale" @click="onClickZoomToExtent()">
    <b-icon icon="arrows-fullscreen"/>
  </b-button>
</div>
</template>

<script lang="ts">

import Component from 'vue-class-component';
import PluginComponent from '@/components/plugins/PluginComponent';

@Component({
  props: {
  },
  components: {
  },
})
export default class NavigationPlugin extends PluginComponent {
  showZoomButton = true;

  showZoomToExtentButton = true;

  mounted() {
    console.log('Mesure Plugin Mounted');
    this.showZoomButton = this.plugin.getParameterValue('zoomInOut');
    this.showZoomToExtentButton = this.plugin.getParameterValue('zoomToMaxExtent');
  }

  onClickZoomIn():void {
    const currentZoom = this.getOpenLayersMapService().map.getView().getZoom();
    if (currentZoom) {
      this.getOpenLayersMapService().map.getView().setZoom(currentZoom + 1);
    }
  }

  onClickZoomOut():void {
    const currentZoom = this.getOpenLayersMapService().map.getView().getZoom();
    if (currentZoom) {
      this.getOpenLayersMapService().map.getView().setZoom(currentZoom - 1);
    }
  }

  onClickZoomToExtent():void {
    this.getMapService().zoomToInitialExtent();
  }
}
</script>

<style scoped lang="less">
  .nav-plugin{
    margin-left:5px;
    position:relative;
    pointer-events: auto;
  }
</style>
